---
title: CSSTransformComponent.toString()
slug: Web/API/CSSTransformComponent/toString
tags:
  - API
  - CSS
  - CSS Typed Object Model
  - CSSTransformComponent
  - Experimental
  - Houdini
  - Method
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>toString()</code></strong> method of the {{domxref("CSSTransformComponent")}} interface returns a string in the form of a CSS Transforms <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix()</a> function.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>transformString</var> = CSSTransformComponent.toString();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None</p>

<h3 id="Return_value">Return value</h3>

<p>A string in the form of a CSS Transforms <a href="/en-US/docs/Web/CSS/transform-function/matrix()">matrix()</a> function.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>If any of the serialized elements in the matrix are a non-finite value throws a {{domxref("DOMException")}} <code>InvalidStateError</code></p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#CSSTransformComponent-stringification-behavior','toString()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformComponent.toString")}}</p>
